dbdom/INSTALL.java

Installing DBDOM Java front-end wrappers
========================================

Prerequisites

1. This release of DBDOM Java wrappers will only work with DBDOM for
   PostgreSQL 7.0

2. This release was compiled and tested with JDK 1.3 from Sun. Let us
   know if you have success with other versions.

3. To compile the wrappers, you will need interfaces from package
   org.w3c.dom from the W3C. You can download the sources from
   http://www.w3.org/TR/DOM-Level-2-Core/java-binding.zip. These
   interfaces are also distributed with Xerces. See 4.

4. To compile and use import/export classes and sample applications,
   you will need the Xerces distribution form Apache. See
   http://xml.apache.org. This release was compiled and tested with
   Xerces-J 1.3.0. Xerces also includes org.xml.sax.* which are needed
   for parsing.

5. To compile and run the sample GUI application, you will need
   classes from package ui (samples/ui in the Xerces distribution).

6. To use the wrappers, you will need JDBC drivers for Postgres in
   your CLASSPATH. See http://jbdc.postgresql.org for information and
   download. Note that you only need the JDBC drivers at run time; the
   wrappers use only standard JDBC interfaces and don't link to
   Postgres drivers directly.

7. You need to create a DBDOM database in Postgres. See
   INSTALL.postgres for details. You don't need a DBDOM database to
   compile the wrappers, but you will need one to use them.


Installation

1. The main classes are in package il.co.iter.dbdom
   (java/src/il/co/iter/dbdom/*.java)

2. To import XML documents form files, compile
   il.co.iter.dbdom.parsers.DBDOMParser. Note that it inherits from
   org.apache.xerces.parsers.DOMParser, so you'll have to have it in
   your CLASSPATH.

3. To run the sample GUI, compile il.co.iter.dbdom.samples.Gui. This
   application expects JDBC driver class name, connection string and
   usrename as command line parameters. A shell script
   (java/src/il/co/iter/dbdom/samples/runGui) can save you some
   typing. Edit the script making the obvious substitutions in
   database hostname and username.
