package il.co.iter.dbdom.parsers;

import il.co.iter.dbdom.DBDocument;

import org.apache.xerces.parsers.DOMParser;

import org.xml.sax.SAXNotRecognizedException;
import org.xml.sax.SAXNotSupportedException;

public class DBDOMParser extends DOMParser {
    /**
      * Default programmatic document class name (org.apache.xerces.dom.DocumentImpl)
      */
    public static final java.lang.String DEFAULT_DOCUMENT_CLASS_NAME = "il.co.iter.dbdom.DBDocument";

    /**
     * Calls super(), then sets DocumentClassName to {@link #DEFAULT_DOCUMENT_CLASS_NAME}
     */
    public DBDOMParser (DBDocument dbDocument) throws SAXNotRecognizedException, SAXNotSupportedException {
        super();
        super.setDocumentClassName(DEFAULT_DOCUMENT_CLASS_NAME);
        super.fDocument = dbDocument;
    }
}