select createNamedDocument	('sampleDocument')	\g /dev/null
select createElement		(1, 'elem')		\g /dev/null
select createDocumentFragment	(1)			\g /dev/null
select createTextNode		(1, 'text')		\g /dev/null
select createComment		(1, 'comment')		\g /dev/null
select createComment		(1, 'another comment')	\g /dev/null
select createCDATASection	(1, 'CDATASection')	\g /dev/null
select createProcessingInstruction	(1, 'myTarget', 'myData')	\g /dev/null
select createAttribute		(1, 'attr')		\g /dev/null
select createElement		(1, 'anotherElem')	\g /dev/null
select createAttribute		(1, 'attr2')		\g /dev/null
select createElement		(1, 'elem3')		\g /dev/null
select createAttribute		(1, 'attr3')		\g /dev/null
select createNamedDocument	('anotherDocument')	\g /dev/null
-- select createEntityReference	(1, 'entityReference')	\g /dev/null

-- set attribute values; this is not how it will be done in production
-- attribute values should be text nodes, not literals
update t_attr set value='attr-value'  where id= 9	\g /dev/null
update t_attr set value='attr2-value' where id=11	\g /dev/null
update t_attr set value='attr3-value' where id=13	\g /dev/null

-- kreate a hierarchy

select appendChild(1, 2)	\g /dev/null
select appendChild(1, 8)	\g /dev/null
select appendChild(2, 4)	\g /dev/null
select appendChild(1, 5)	\g /dev/null
select appendChild(2, 6)	\g /dev/null
select appendChild(2, 7)	\g /dev/null
select appendChild(2,10)	\g /dev/null
select setAttributeNode ( 2, 9)	\g /dev/null
select setAttributeNode ( 2,11)	\g /dev/null
select appendChild(10,12)	\g /dev/null
select setAttributeNode (12,13)	\g /dev/null

-- present the list of existing nodes
select	t_node.id as id,
	t_node.nodetype as type,
	t_nodetype.name as typeName,
	t_node.ownerDocument as od
from	t_node,
	t_nodetype
where	t_node.nodetype = t_nodetype.id
order by t_node.id;

-- present the list os parents and children
select	t_arch.parent_node_id as parentId,
	t_arch.child_node_id as childId,
	t_node.nodetype as type,
	t_nodetype.name as typeName,
	t_node.ownerDocument as od
from	t_node,
	t_arch,
	t_nodetype
where	t_node.nodetype = t_nodetype.id and
	t_node.id = t_arch.child_node_id
order by t_arch.parent_node_id,
	t_arch.child_ord_no;
